## python-scipy 0.6.0

=== scipy/special/tests/Makefile ===
#
#
test:
	sh -c 'for t in test*.py; do PYTHONPATH=.. $$t; done'

testref:
	sh -c 'for t in test*.py; do PYTHONPATH=.. $$t -b; done'
