=== scipy/sandbox/svm/libsvm-2.82/SConstruct ===
env = Environment()
env.Replace(CXXFLAGS=['-O2','-Wall','-ansi','-pedantic'])
env.SharedLibrary('libsvm_', ['svm.cpp'])
