## python-scipy 0.7.2

=== debian/changelog ===
python-scipy (0.7.2-2ubuntu1) maverick; urgency=low

  * debian/patches/blitz++.patch: 
    - Fix scipy.weave.inline compilations (LP: #302649)

 -- Sameer Morar <smorar@gmail.com>  Wed, 29 Sep 2010 13:42:10 +0200

python-scipy (0.7.2-2) unstable; urgency=low

  * debian/patches/string_exceptions.patch:
    - Do not use string exceptions, not supported by Python 2.6.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 07 Jun 2010 14:52:40 +0200

python-scipy (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * Switch to debhelper 7.
  * Provide python-scipy-dbg package (Closes: #525329).
  * Add myself to Uploaders.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 25 Apr 2010 17:21:21 +0200

python-scipy (0.7.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - removed Marco Presi from uploaders: thanks for your work!

  [ Luca Falavigna ]
  * New upstream release.
    - Fix KeyError exception in sparse module (Closes: #525109).
    - Fix SyntaxWarning exception with python2.6 (Closes: #567148).
  * debian/patches/restore_sys_argv.patch:
    - Restore sys.argv in case of exception (Closes: #500814).
  * debian/control:
    - Depend on ${misc:Depends}.
    - Drop useless Conflicts/Replaces fields.
    - Bump Standards-Version to 3.8.4, no changes required.
  * debian/README.Debian:
    - Remove obsolete information.
  * debian/pycompat:
    - Remove, useless.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Mon, 05 Apr 2010 17:10:56 +0200

python-scipy (0.7.0-2) unstable; urgency=medium

  [ Julien Lavergne ]
  * debian/copyright : Update Copyright holders (Closes: #524131)
  * From Ubuntu, prepare for the future python transition:
   - debian/rules: 
    + Include /usr/share/python/python.mk
    + Add $(py_setup_install_args) to setup.py install
    + Replace site-packages by *-packages
   - debian/control: 
    + Bump build-depends to python-all-dev (>= 2.5.4-1~)

  [ Luca Falavigna ]
  * Remove patches, they are no longer needed and also causing FTBFS with
    recent python-numpy. Remove quilt machinery too (Closes: #545606).
  * debian/copyright: add missing copyright holder (Closes: #540504).
  * debian/control: bump Standards-Version to 3.8.3, no changes required.
  * debian/watch: fix regex to report correct upstream stable version.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 15 Sep 2009 23:30:12 +0200

python-scipy (0.7.0-1) unstable; urgency=low

  [ Ondrej Certik ]
  * Beta version
  * debian/patches: scipy_include_fix.diff and segfault.patch removed (applied
    upstream),  swig_ftbfs.dpatch and umfpack.dpatch updated to new paths

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ David Cournapeau ]
  * New upstream version
  * Remove obsolete dependencies on libfftw3-dev, libx11-dev and libnetcdf-dev
  * Update version for numpy dependency: scipy requires version >= 1.2.0
  * Set ATLAS to None when building scipy to avoid depending on ATLAS API, and
  only use BLAS/LAPACK public API, even when ATLAS is installed on the build
  machine

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 08 Mar 2009 18:47:03 -0700

python-scipy (0.6.0-12) unstable; urgency=low

  * The description updated to match the current SciPy (Closes: #489149).
  * Standards-Version bumped to 3.8.0 (no action needed)
  * Build-Depends: netcdf-dev changed to libnetcdf-dev

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 16 Jun 2008 22:58:01 +0200

python-scipy (0.6.0-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change description to refer to python-numpy package instead of Numeric
    to avoid confusion with python-numeric package.

 -- Chris AtLee <chris@atlee.ca>  Wed, 23 Apr 2008 15:45:22 -0400

python-scipy (0.6.0-11) unstable; urgency=low

  * Fixes FTBFS, by unexporting LDFLAGS and setting FFLAGS directly, the same
    hack as in numpy (Closes: #475990)

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 14 Apr 2008 14:53:57 +0200

python-scipy (0.6.0-10) unstable; urgency=low

  [Sandro Tosi]
  * Fixes a dangling symlink (Closes: #471825) 

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 20 Mar 2008 14:50:31 +0100

python-scipy (0.6.0-9) unstable; urgency=medium

  * Uses correct pycentral locations (Closes: #471549)

 -- Ondrej Certik <ondrej@certik.cz>  Wed, 19 Mar 2008 21:41:12 +0100

python-scipy (0.6.0-8) unstable; urgency=low

  * Build depend on libsuitesparse (>= 3.1.0-3)
  * Build depends fixed to use gfortran based lapack and blas (Closes: #466868)

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 23 Feb 2008 01:21:51 +0100

python-scipy (0.6.0-7) unstable; urgency=low

  * Bumped the version, because python-numpy conflicts with python-scipy (<=
    0.6.0-6). This compiles against the old suitesparse, but it makes the
    package installable and working again. 

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 21 Feb 2008 15:38:00 +0100

python-scipy (0.6.0-6) UNRELEASED; urgency=low

  * debian/control
    - uniforming both Vcs-Svn and Vcs-Browser fields

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 03 Jan 2008 12:18:46 +0100

python-scipy (0.6.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Changed `fftw3-dev' to `libfftw3-dev' to get rid of that dependency
    on a virtual package.
  * Fix FTBFS with relation to swig with a patch provided by
    Kumar Appaiah (Closes: #456892)

 -- Philipp Kern <pkern@debian.org>  Mon, 31 Dec 2007 13:45:10 +0100

python-scipy (0.6.0-5) unstable; urgency=low

  * DM-Upload-Allowed changed to XS-DM-Upload-Allowed 
  * standards-version made uptodate (3.7.3)
  * don't create an empty dir usr/share/doc/python-scipy/weave/

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 04 Dec 2007 22:27:48 +0100

python-scipy (0.6.0-4) unstable; urgency=low

  * Use quilt (much eaiser to use) instead of dpatch
  * Paul's patch added (Closes: #452991)
  * Add DM-Upload-Allowed: yes

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 03 Dec 2007 15:33:24 +0100


