=== debian/control ===
Source: python-scipy
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Alexandre Fayolle <afayolle@debian.org>, Ondrej Certik <ondrej@certik.cz>, David Cournapeau <cournape@gmail.com>, Luca Falavigna <dktrkranz@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5.4-1~),
 python-all-dbg (>= 2.5.4-1~), python-central (>= 0.6.7),
 python-numpy (>= 1:1.2.0), python-numpy-dbg (>= 1:1.2.0),
 gfortran, sharutils, swig, libsuitesparse-dev (>= 3.1.0-3),
 libblas-dev | libatlas-base-dev, liblapack-dev | libatlas-base-dev
XS-Python-Version: all
Standards-Version: 3.8.4
Homepage: http://www.scipy.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/scipy/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/scipy/trunk/
XS-DM-Upload-Allowed: yes

Package: python-scipy
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, python-numpy (>= 1:1.2.0), ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Recommends: g++ | c++-compiler
Suggests: python-profiler
Description: scientific tools for Python
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.

Package: python-scipy-dbg
Section: debug
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, python-dbg, ${shlibs:Depends}, ${misc:Depends}, python-scipy (= ${binary:Version}), python-numpy-dbg (>= 1:1.2.0)
Description: scientific tools for Python - debugging symbols
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.
 .
 This package provides debugging symbols for python-scipy.
