=== debian/watch ===
version=3
http://sf.net/scipy/scipy-([0-9.]+)\.tar\.gz
