=== debian/changelog ===
python-scipy (0.7.2+dfsg1-1) unstable; urgency=low

  * Release with a new source tarball with missing cython source files
  * debian/rules: Add get-orig-source target
  * Add debian/README.source explaining the repackaging of source tarball
  * Add debian/orig-tar.sh to add missing cython source files to the
    source tarball (Closes: #589731)
  * debian/rules: add call to dh_numpy to generate stricter versioned
    depends on python-numpy (Closes: #590763)
  * Bump Standards-Version to 3.9.1
  * Add myself to Uploaders

 -- Varun Hiremath <varun@debian.org>  Fri, 30 Jul 2010 18:29:18 -0400
