=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: python-scipy
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Alexandre Fayolle <afayolle@debian.org>, Ondrej Certik <ondrej@certik.cz>, David Cournapeau <cournape@gmail.com>, Luca Falavigna <dktrkranz@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Alexandre Fayolle <afayolle@debian.org>, Ondrej Certik <ondrej@certik.cz>, David Cournapeau <cournape@gmail.com>, Luca Falavigna <dktrkranz@debian.org>, Varun Hiremath <varun@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5.4-1~),
  python-all-dbg (>= 2.5.4-1~), python-central (>= 0.6.7),
- python-numpy (>= 1:1.2.0), python-numpy-dbg (>= 1:1.2.0),
+ python-numpy (>= 1:1.4.1-4~), python-numpy-dbg (>= 1:1.2.0),
  gfortran, sharutils, swig, libsuitesparse-dev (>= 3.1.0-3),
  libblas-dev | libatlas-base-dev, liblapack-dev | libatlas-base-dev
 XS-Python-Version: all
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.scipy.org/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/scipy/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/scipy/trunk/
