=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 PYVERS:= $(shell pyversions -v -r debian/control)
 BASE=$(shell pwd)/debian
+DVER=$(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ' | sed 's/-[^-]*$$//')
+UVER=$(shell echo $(DVER) | sed "s/+dfsg.*//g")
 
 %:
 	dh --with python-central $@
@@ -38,6 +40,9 @@
 	find debian/python-scipy-dbg -depth -empty -exec rmdir {} \;
 	rm -fr $(BASE)/python-scipy*/usr/lib/python*/*-packages/scipy/weave/examples/
 
+        #call dh_numpy
+	dh_numpy
+
 override_dh_fixperms:
 	dh_fixperms
 	set -e; for i in `find debian -mindepth 2 -type f ! -perm 755`; do \
@@ -50,3 +55,6 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=python-scipy-dbg
+
+get-orig-source:
+	-uscan --force-download --download-version $(UVER) --rename
