## python-scipy 0.8.0+dfsg1

=== debian/changelog ===
python-scipy (0.8.0+dfsg1-1ubuntu1) natty; urgency=low

  * Merge from debian experimental (LP: #696403). Remaining changes:
    - debian/patches/stdc_format_macros.patch: Fix FTBFS issue with python 2.7

 -- Sameer Morar <smorar@gmail.com>  Thu, 03 Feb 2011 04:28:09 +0000

python-scipy (0.8.0+dfsg1-1) experimental; urgency=low

  [ Varun Hiremath ]
  * New upstream release
  * Build-Depend on python-numpy-* (>= 1:1.5.1)
  * Update all the debian/patches/*

  [ Luca Falavigna ]
  * Remove myself from Uploaders.

  [ Stefano Rivera ]
  * debian/patches/blitz++.patch: Fix scipy.weave.inline compilations. Thanks
    to Sameer Morar (Closes: #598520, LP: #302649)

 -- Varun Hiremath <varun@debian.org>  Fri, 24 Dec 2010 08:20:54 -0500

python-scipy (0.7.2+dfsg1-1ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #667001).  Remaining changes:
    - Fix scipy.weave.inline compilations (LP: #302649
  * debian/patches/stdc_format_macros.patch: Fix FTBFS issue with python 2.7

 -- Sameer Morar <smorar@gmail.com>  Wed, 27 Oct 2010 00:14:44 +0200
