=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-scipy
 Section: python
 Priority: extra
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Alexandre Fayolle <afayolle@debian.org>, Ondrej Certik <ondrej@certik.cz>, David Cournapeau <cournape@gmail.com>, Luca Falavigna <dktrkranz@debian.org>, Varun Hiremath <varun@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Alexandre Fayolle <afayolle@debian.org>, Ondrej Certik <ondrej@certik.cz>, David Cournapeau <cournape@gmail.com>, Varun Hiremath <varun@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5.4-1~),
  python-all-dbg (>= 2.5.4-1~), python-central (>= 0.6.7),
- python-numpy (>= 1:1.4.1-4~), python-numpy-dbg (>= 1:1.2.0),
+ python-numpy (>= 1:1.5.1), python-numpy-dbg (>= 1:1.5.1),
  gfortran, sharutils, swig, libsuitesparse-dev (>= 3.1.0-3),
  libblas-dev | libatlas-base-dev, liblapack-dev | libatlas-base-dev
 XS-Python-Version: all
@@ -18,7 +19,7 @@
 Package: python-scipy
 Architecture: any
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, python-numpy (>= 1:1.2.0), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Recommends: g++ | c++-compiler
 Suggests: python-profiler
@@ -37,7 +38,7 @@
 Section: debug
 Architecture: any
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, python-dbg, ${shlibs:Depends}, ${misc:Depends}, python-scipy (= ${binary:Version}), python-numpy-dbg (>= 1:1.2.0)
+Depends: ${python:Depends}, python-dbg, ${shlibs:Depends}, ${misc:Depends}, python-scipy (= ${binary:Version}), python-numpy-dbg (>= 1:1.5.1)
 Description: scientific tools for Python - debugging symbols
  SciPy supplements the popular NumPy module (python-numpy package), gathering a
  variety of high level science and engineering modules together as a single
