## python-scipy 0.9.0+dfsg1

=== debian/changelog ===
python-scipy (0.9.0+dfsg1-1ubuntu2) precise; urgency=low

  * recommend python-dev and python-imaging (LP: #655192) 

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 23 Apr 2012 21:32:18 +0200

python-scipy (0.9.0+dfsg1-1ubuntu1) precise; urgency=low

  * add python3 packages (LP: #960595)
  * debian/rules:
    - split the build into build and install step
    - use .install files instead of direct setup.py install

 -- Julian Taylor <jtaylor@ubuntu.com>  Tue, 27 Mar 2012 20:56:17 +0200

python-scipy (0.9.0+dfsg1-1build4) precise; urgency=low

  * Rebuild again to pick up numpy-abi9 on armel too

 -- Julian Taylor <jtaylor@ubuntu.com>  Thu, 16 Feb 2012 20:14:30 +0100

python-scipy (0.9.0+dfsg1-1build3) precise; urgency=low

  * Rebuild against numpy 1.6

 -- Julian Taylor <jtaylor@ubuntu.com>  Wed, 15 Feb 2012 23:52:24 +0100

python-scipy (0.9.0+dfsg1-1build2) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:12:07 +0000

python-scipy (0.9.0+dfsg1-1build1) oneiric; urgency=low

  * gfortran-4.6 rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Sep 2011 11:22:09 +0000

python-scipy (0.9.0+dfsg1-1) unstable; urgency=low

  * New upstream release (Closes: #614407, #579041, #569008)
  * Convert to dh_python2 (Closes: #617028)

 -- Varun Hiremath <varun@debian.org>  Wed, 06 Apr 2011 21:26:25 -0400
