=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Alexandre Fayolle <afayolle@debian.org>, Ondrej Certik <ondrej@certik.cz>, David Cournapeau <cournape@gmail.com>, Varun Hiremath <varun@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5.4-1~),
- python-all-dbg (>= 2.5.4-1~), python-central (>= 0.6.7),
- python-numpy (>= 1:1.5.1), python-numpy-dbg (>= 1:1.5.1),
+Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3~),
+ python-all-dbg (>= 2.5.4-1~), python-numpy (>= 1:1.5.1), python-numpy-dbg (>= 1:1.5.1),
  gfortran, sharutils, swig, libsuitesparse-dev (>= 3.1.0-3),
- libblas-dev | libatlas-base-dev, liblapack-dev | libatlas-base-dev
-XS-Python-Version: all
+ libblas-dev | libatlas-base-dev, liblapack-dev | libatlas-base-dev, python3-all-dev, python3-all-dbg, python3-numpy, python3-numpy-dbg
+X-Python-Version: >= 2.4
+X-Python3-Version: >= 3.1
 Standards-Version: 3.9.1
 Homepage: http://www.scipy.org/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/scipy/trunk
@@ -18,10 +18,9 @@
 
 Package: python-scipy
 Architecture: any
-XB-Python-Version: ${python:Versions}
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
-Recommends: g++ | c++-compiler
+Recommends: g++ | c++-compiler, python-dev, python-imaging
 Suggests: python-profiler
 Description: scientific tools for Python
  SciPy supplements the popular NumPy module (python-numpy package), gathering a
@@ -34,10 +33,26 @@
  programming tools, an expression-to-C++ compiler for fast execution, and
  others.
 
+Package: python3-scipy
+Architecture: any
+Depends: python3-numpy, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Recommends: g++ | c++-compiler
+Description: scientific tools for Python 3
+ SciPy supplements the popular NumPy module (python-numpy package), gathering a
+ variety of high level science and engineering modules together as a single
+ package.
+ .
+ SciPy is a set of Open Source scientific and numeric tools for Python. It
+ currently supports special functions, integration, ordinary differential
+ equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
+ programming tools, an expression-to-C++ compiler for fast execution, and
+ others.
+ .
+ This package provides the Python 3 version.
+
 Package: python-scipy-dbg
 Section: debug
 Architecture: any
-XB-Python-Version: ${python:Versions}
 Depends: ${python:Depends}, python-dbg, ${shlibs:Depends}, ${misc:Depends}, python-scipy (= ${binary:Version}), python-numpy-dbg (>= 1:1.5.1)
 Description: scientific tools for Python - debugging symbols
  SciPy supplements the popular NumPy module (python-numpy package), gathering a
@@ -51,3 +66,20 @@
  others.
  .
  This package provides debugging symbols for python-scipy.
+
+Package: python3-scipy-dbg
+Section: debug
+Architecture: any
+Depends: ${python3:Depends}, python3-dbg, ${shlibs:Depends}, ${misc:Depends}, python3-scipy (= ${binary:Version}), python3-numpy-dbg
+Description: scientific tools for Python 3 - debugging symbols
+ SciPy supplements the popular NumPy module (python-numpy package), gathering a
+ variety of high level science and engineering modules together as a single
+ package.
+ .
+ SciPy is a set of Open Source scientific and numeric tools for Python. It
+ currently supports special functions, integration, ordinary differential
+ equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
+ programming tools, an expression-to-C++ compiler for fast execution, and
+ others.
+ .
+ This package provides debugging symbols for python3-scipy.
